import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { InfiniteScrollModule } from 'ngx-infinite-scroll';

import { SearchComponent } from './search.component';
import { SEARCH_ROUTE } from './search.route';
import { GitSearchV2SharedModule } from 'app/shared/shared.module';
import { ExerciseDetailsComponent } from 'app/exercise/exercise-details/exercise-details.component';
import { ExerciseMetadataComponent } from 'app/exercise/exercise-details/exercise-metadata/exercise-metadata.component';
import { ExerciseCardComponent } from 'app/exercise/exercise-card/exercise-card.component';
import { SearchInputComponent } from './search-input/search-input.component';
import { QueryParamModule } from '@ngqp/core';

@NgModule({
  imports: [RouterModule.forChild([SEARCH_ROUTE]), GitSearchV2SharedModule, QueryParamModule, InfiniteScrollModule],
  declarations: [SearchComponent, ExerciseDetailsComponent, ExerciseMetadataComponent, ExerciseCardComponent, SearchInputComponent],
  exports: [SearchComponent],
})
export class SearchModule {}
